diff --git a/LUFA b/LUFA
--- a/LUFA
+++ b/LUFA
@@ -1 +1 @@
-Subproject commit baa0979c7733d7c2e55ab2a412695851d87059be
+Subproject commit baa0979c7733d7c2e55ab2a412695851d87059be-dirty
diff --git a/Makefile b/Makefile
index 37f9e53..15b2cc2 100644
--- a/Makefile
+++ b/Makefile
@@ -89,6 +89,18 @@ PROGID = stk500v2
 
 ##############################################################################
 #                                                                            #
+# If using the LUFA USB module, (e.g, at90usb1287, atmega32u4),  define the  #
+# LUFA board here.  See LUFA/trunk/LUFA/Common/BoardTypes.h for options.     #
+#                                                                            #
+# NONE seems to be OK.  Choose one that matched your chip is you want LUFA   #
+# to control your LEDs or other board-specific intrefaces.                   #
+#                                                                            #
+##############################################################################
+
+LUFA_BOARD = NONE
+
+##############################################################################
+#                                                                            #
 # These defaults should be ok, change if you need to                         #
 #                                                                            #
 ##############################################################################
@@ -117,7 +129,7 @@ ifneq (,$(findstring u4,$(MCU_TARGET)))
 USE_LUFA = true
 endif
 
- USE_TEENSY = true
+# USE_TEENSY = true
 ifdef USE_LUFA
   ifdef USE_TEENSY
     SOURCES += serial_teensy.c usb_serial.c
@@ -126,6 +138,9 @@ ifdef USE_LUFA
     LIBS += -llufa_serial
     SUBDIRS += lufa_serial
     LIBDEPS += lufa_serial/liblufa_serial.a
+    export MCU = $(MCU_TARGET)
+    export F_CPU
+    export BOARD = $(LUFA_BOARD)
   endif
 else
   SOURCES += serial.c
diff --git a/lufa_serial/lufa_serial.h b/lufa_serial/lufa_serial.h
index 98933dc..4e7e27d 100644
--- a/lufa_serial/lufa_serial.h
+++ b/lufa_serial/lufa_serial.h
@@ -54,7 +54,7 @@
 
 		#include <LUFA/Version.h>
 		#include <LUFA/Drivers/USB/USB.h>
-		#include <LUFA/Drivers/Board/Joystick.h>
+//		#include <LUFA/Drivers/Board/Joystick.h>
 		#include <LUFA/Drivers/Board/LEDs.h>
 
 	/* Macros: */
diff --git a/lufa_serial/makefile b/lufa_serial/makefile
index 94d5b14..4e0cc38 100644
--- a/lufa_serial/makefile
+++ b/lufa_serial/makefile
@@ -60,13 +60,13 @@
 
 
 # MCU name
-MCU = at90usb1287
+MCU ?= atmega32u4
 
 
 # Target board (see library "Board Types" documentation, NONE for projects not requiring
 # LUFA board drivers). If USER is selected, put custom board drivers in a directory called
 # "Board" inside the application directory.
-BOARD = USBKEY
+BOARD ?= TEENSY
 
 
 # Processor frequency.
@@ -80,7 +80,10 @@ BOARD = USBKEY
 #     does not *change* the processor frequency - it should merely be updated to
 #     reflect the processor speed set externally so that the code can use accurate
 #     software delays.
-F_CPU = 8000000
+F_CPU ?:= 16000000
+
+F_CPU := $(subst U,,$(F_CPU))
+F_CPU := $(subst L,,$(F_CPU))
 
 
 # Input clock frequency.
